=== debian/control ===
Source: onboard
Section: gnome
Priority: optional
Build-Depends: debhelper (>=7.0.50~),
               quilt,
               python3-all-dev (>= 3.2),
               python3-distutils-extra (>= 2.10),
               libgtk-3-dev,
               libxtst-dev,
               libxkbfile-dev,
               libdconf-dev (>= 0.13.4),
               libcanberra-dev,
               libhunspell-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: https://launchpad.net/~onboard/+contactuser
Standards-Version: 3.9.4
Homepage: https://launchpad.net/onboard
Vcs-Bzr: https://code.launchpad.net/onboard
X-Python3-Version: >= 3.2

Package: onboard
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-cairo,
         python3-gi-cairo,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3),
         gir1.2-glib-2.0,
         gir1.2-gdkpixbuf-2.0,
         libgtk-3-0,
         libxi6,
         libxtst6,
         libxkbfile1,
         libdconf1,
         libcanberra0,
         libhunspell-1.3-0,
         iso-codes
Recommends: gir1.2-appindicator3-0.1,
            gir1.2-atspi-2.0,
            onboard-data (>= 0.99.0~alpha1~tr1531)
Suggests: mousetweaks (>= 3.3.90)
Description: Simple On-screen Keyboard
 On-screen Keyboard with macros, easy layout creation and word suggestion.

Package: onboard-data
Architecture: all
Depends: ${misc:Depends},
         onboard (>= 0.99.0~alpha1~tr1507)
Replaces: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531)
Breaks: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531)
Description: Language model files for the word suggestion feature of Onboard
 This package installs default language model files for various languages.
 The word suggestion feature of Onboard uses these files (and if available
 also custom user language model files) to compute the word completion
 suggestions and the word prediction suggestions.
