=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

%:
	dh $@ --with python3 --without python-support
	rm -f po/*.pot

# python3 needs some manual work, see 
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597105
override_dh_auto_clean:
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py clean ; \
	done
	rm -rf build
	rm -rf Onboard/osk*.so
	rm -rf Onboard/pypredict/lm*.so
	find . -name __pycache__ -prune | xargs rm -rf

override_dh_auto_build:
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py build ; \
	done

override_dh_auto_install:
	set -ex; for python in $(shell py3versions -r); do \
	    $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_install:
	dh_install --fail-missing --autodest
