## onboard 1.0.0

=== debian/changelog ===
onboard (1.0.0-0ubuntu4) trusty; urgency=medium

  * Request for sponsorship (LP: #1303370)
  * debian/patches/add_defaults_for_ubuntu.patch:
    - Increase xembed aspect change range (LP: #1297695)

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Fri, 04 Apr 2014 21:11:15 +0200

onboard (1.0.0-0ubuntu3) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:35:53 +0100

onboard (1.0.0-0ubuntu2) trusty; urgency=medium

  * Rewrite the python shebang path to /usr/bin/python3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:14:16 +0100

onboard (1.0.0-0ubuntu1) trusty; urgency=low

  * Request for sponsorship for new upstream release (LP: #1282231)
  * debian/control:
    - Raise Standards-Version to 3.9.5
    - Add librsvg2-common to Depends for Kubuntu (LP: #1204896)
  * debian/onboard.install:
    - Use usr/share/onboard/onboard-defaults.conf* instead of single entries
    - Add the usr/share/onboard/tools/checkmodels file
  * debian/patches/add_defaults_for_ubuntu.patch:
    - Update add_defaults_for_ubuntu.patch with values for this release
  * Word suggestions enhancements:
    - Every language id now has its own user language model
    - Add a checkbox to the Preferences to show the language switch on layouts
    - Add a checkbox to the Preferences to show the pause learning button
    - Add Canadian English system language model
    - Add Danish system language model
    - Add various flavors of the Dutch system language model
    - Add Gaelic system language model
    - Add Greek system language model
    - Add Irish system language model
    - Add Luxembourgian system language model.
    - Add Polish system language model
    - Add Romanian system language model
    - Add Swedish system language model
    - Add Turkish system language model
    - Update Brazilian system language model
    - Improve makemodels script
    - Add model_info tool
    - Add checkmodels tool to diagnose language model loading errors
    - Add tool to randomize sentences in corpora
    - Add copy function to allow transfer between language models
    - Add smart support for camel-case words (Thanks Michael Bauer)
    - Make language switcher more user-friendly (Thanks Michael Bauer)
    - Stop word correction when spell checker dictionary is not present
    - Fix learning of text spans larger than 100 characters
    - Fix word suggestions sometimes being unaware of modifier presses
    - Fix all upper-case words not being suggested at sentence begin
    - Fix wrong caret position in rename function of Nautilus
    - Fix some character deletion on focus change after a word completion
    - Fix bit rot in split_corpus tool
    - Improve handling of the / and other non-word tokens
    - Improve support for URLs and directories
    - Don't learn passwords from URLs
    - Show dialog on language model loading error (LP: #1278599)
  * Layouts:
    - Add support for polygonal keys instead of only rectangles (LP: #1259371)
    - Make the Return key of the Compact and Full Keyboard layouts a polygon
    - Don't write suggestions outside prediction area in Onboard
    - Grid layout: add settings,move,hide,quit and click buttons (LP: #754391)
    - Add Whiteboard and Whiteboard wide layouts (contributed by Johannes Almer)
    - Add short and long description to the layouts
    - Perform small visual improvements
  * Change the design of the layout section in the Preferences
  * Tweak themes lightly
  * Click buttons:
    - Add support for new mousetweaks branch (version >= 3.9)
    - Fix CSClickMapper sometimes erroneously claiming to be active
  * Add dependencies check to setup.py
  * Add gsettings key to choose between Appindicator and GtkStatusIcon
  * Add new D-Bus method ToggleVisible() for (LP: #1232107)
  * Add input-event-source to the system defaults example file
  * Add basic doctest for window manager detection
  * Enhance the system defaults file with entries for the typing assistance
  * Fix window manager detection
  * Fix unregistering of events when auto-show is disabled
  * Fix reading system defaults from XDG_CONFIG paths
  * Fix quit button in popup layouts
  * Fix back trace when pressing char keys
  * Auto-release modifiers when hiding the keyboard (LP: #1277255)
  * Allow startup without Atspi typelib
  * Add fallback character for popup indicator in case it is not in the font
  * Check for absolute paths before loading files (LP: #1249493, LP: #1249825)
  * Make moving of keyboard more responsive
  * Correct D-Bus section in README
  * New layout order in the Preferences of Onboard
  * Improve some comments and strings in the source code
  * Remove unused changekbd.sh
  * Some code cleanup

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Tue, 19 Feb 2014 20:04:00 +0100

onboard (0.99.0-0ubuntu2) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:31:34 +0000
