=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,5 @@
 override_dh_install:
 	dh_install --fail-missing --autodest
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
