## onboard 1.0.0-0ubuntu4+7.0trisquel2

=== debian/changelog ===
onboard (1.0.0-0ubuntu4+7.0trisquel2) belenos; urgency=medium

  * Adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 28 Aug 2014 02:27:04 +0200
