=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libdconf-dev (>= 0.13.4),
                libcanberra-dev,
                libhunspell-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: https://launchpad.net/~onboard/+contactuser
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/onboard
 Vcs-Bzr: https://code.launchpad.net/onboard
 X-Python3-Version: >= 3.2
@@ -34,6 +34,7 @@
          libxi6,
          libxtst6,
          libxkbfile1,
+         librsvg2-common,
          libdconf1,
          libcanberra0,
          libhunspell-1.3-0,
