=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libdconf-dev (>= 0.13.4),
                libcanberra-dev,
                libhunspell-dev
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: https://launchpad.net/~onboard/+contactuser
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/onboard
