=== debian/watch ===
version=3
http://launchpad.net/onboard/+download http://launchpad.net/onboard/.*/onboard-([\d\.]+).tar.gz
