## onboard 1.1.1

=== debian/changelog ===
onboard (1.1.1-0ubuntu1) vivid; urgency=low

  * Request for sponsorship for new upstream release (LP: #1423181)
  * debian/rules:
    - Add additional cleaning to override_dh_auto_clean target
  * debian/patches:
    - Clean up and rebase add_defaults_for_ubuntu.patch patch
  * Import vivid translations from rosetta for Onboard 1.1 as of 18/02/2015
  * Fix international character selection offset on high-dpi screen (LP: #1421840)
  * Fix left click on GtkStatusIcon fallback not working (LP: #1421972)
  * Trap the occasional X error BadDrawable causing Onboard to exit
  * Fix traceback when showing keyboard popups in Precise
  * Fix display of key popups for compiz and metacity in Precise
  * Fix stuck keys in keyboard popups with event source GTK
  * Fix auto-inserting separator Ĩ instead of space when NumLock is enabled
  * Fix initial Py_None not being dereferenced when copying OskDeviceEvents
  * Stop synchronisation of modifiers when Alt is active
  * Recognize a touch device with reception of a touch event
  * Enhance cleaning command of source tree
  * Add encoding line to setup.py
  * Remove unused template.svg

 -- Francesco Fumanti <francesco.fumanti@gmx.net>  Wed, 18 Feb 2015 14:47:43 +0100

onboard (1.1.0-0ubuntu1) vivid; urgency=low

  * Request for sponsorship for new upstream release (LP: #1415041)
  * debian/control:
    - Raise Standards-Version to 3.9.6
    - Add xdg-utils to Recommends
  * debian/copyright:
    - Edit emails to add small protection against email harvesting
    - Update years information
  * debian/onboard.install:
    - Add the usr/share/onboard/settings_auto_show_dialog.ui file
  * debian/patches:
    - Remove patch to add support for MATE (now upstream)
    - Remove patch to fix the auto-start issue (now upstream)
    - Update add_defaults_for_ubuntu.patch with values for this release
  * debian/rules:
    - Remove shebang rewrite from override_dh_python3
    - Add no-guessing-deps to override_dh_python3
  * Word suggestions:
    - Add possibility to learn word sequences, but no new words
    - Add removal of words from current user language model on long press
    - Add removal of a word in current context only
    - Add tool to extract letter frequencies from a given language model
    - Use slash as word separator in the path component of URLs
    - Improve word suggestions after a wrap to a second line in gnome-terminal
    - Better handle interaction with the awesome bar's URL completion of firefox
    - Fix synchronisation between libreoffice writer and text document
    - Fix insertion of word separators consisting of more than one character
    - Delete selected text before inserting suggestions into Gtk-3 widgets
    - Fix memory leak in predict calls
    - Improve robustness of language model loading by handling word counts <= 0
    - Have the checkmodels tool check for valid n-gram frequency fields
    - Fix and improve broken doctest for _get_word_to_spell_check()
    - Remove "th" from the English system language models
    - Increase the number of words in the German system language models
    - Fix traceback when migrating user language model with LANG=C
    - Always use "Other Languages" as name for submenu of languages menu
    - Move second separator in language menu to correct position
  * Auto-show and auto-hide:
    - Add hiding of Onboard keyboard on physical key-press for XInput
    - Add setting for the time to stay hidden after physical key-press
    - Add possibility to turn off repositioning on auto-show (LP #1402212)
    - Centralize auto-show code to make it available for future views
    - Correctly register at-spi listeners on startup
    - Correctly disconnect events on exit
    - Fix auto-show on cursor movement in single-line text entries
  * XEmbedding in unity-greeter and gnome-screensaver:
    - Enable hide button in unity-greeter; needs restart until greeter assists
    - Add a toggle to system defaults to enable the background image
    - Read filename of background in greeter's shema in unity-greeter
    - Ignore xembed-unity-greeter-offset-x on small screens
    - Increase xembed aspect change range (LP: #1297695)
    - Add the color of the background bar to system defaults
    - Fix loading of desktop backgrounds with non-ascii filenames
    - Fix black bars problem
    - Fix background image not showing with python 3.2 on Precise
    - Add debug command line option "--launched-by" to ease testing xembedding
    - Add script to manually test the xembed behaviour
  * Improvements when org.gnome.interface scaling-factor is > 1:
    - Apply scaling to XImput events
    - Also scale docking struts
    - Switch more reliably when scaling factor changes
    - Work around unscaled accessible extents (LP: #1325026)
    - Fix incomplete rendering of keys (LP #1283491)
    - Fix get_position() of all override redirect windows (LP #1283491)
    - Improve display of blurry images
  * Layouts:
    - Update layout format to new version 3.2
    - New key attribute "show_active" shifts hard-coded behavior to layouts
    - Add nocycle variants to the sticky key behaviour attribute
    - Add push-button behaviour for sticky keys
    - Fix keys with the same id being ignored
    - Fix images not being found for layouts given on command line
    - Fix typo of the author's name in GPL header of the Whiteboard layouts
    - Reorder keys in Grid layout for more efficient scanning for azerty maps
    - Show 'm' key in Grid layout for azerty key maps (LP: #1293259)
    - Fix opening of layouts folder when layouts folder does not exist
  * Logging:
    - Tweak and colorize log output in interactive terminals
    - Add new logging levels "atspi", "event" and "all"
    - Move all at-spi logging to log-level "atspi"
    - Allow to specify a range of logging levels for the -d command line option
  * Unit tests:
    - Add unit tests for moving/resizing of keyboard and floating icon

