=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libhunspell-dev
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: https://launchpad.net/~onboard/+contactuser
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://launchpad.net/onboard
 Vcs-Bzr: https://code.launchpad.net/onboard
 X-Python3-Version: >= 3.2
@@ -41,7 +41,8 @@
          iso-codes
 Recommends: gir1.2-appindicator3-0.1,
             gir1.2-atspi-2.0,
-            onboard-data (>= 0.99.0~alpha1~tr1531)
+            onboard-data (>= 0.99.0~alpha1~tr1531),
+            xdg-utils
 Suggests: mousetweaks (>= 3.3.90)
 Description: Simple On-screen Keyboard
  On-screen Keyboard with macros, easy layout creation and word suggestion.
