=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 %:
 	dh $@ --with python3 --without python-support
 	rm -f po/*.pot
+
+override_dh_python3:
+	dh_python3 --no-guessing-deps
 
 # python3 needs some manual work, see 
 # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=597105
@@ -15,7 +18,7 @@
 	rm -rf build
 	rm -rf Onboard/osk*.so
 	rm -rf Onboard/pypredict/lm*.so
-	find . -name __pycache__ -prune | xargs rm -rf
+	find . -name '__pycache__*' -prune | xargs rm -rf
 
 override_dh_auto_build:
 	set -ex; for python in $(shell py3versions -r); do \
@@ -30,5 +33,3 @@
 override_dh_install:
 	dh_install --fail-missing --autodest
 
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
