=== debian/control ===
--- 
+++ 
@@ -30,14 +30,7 @@
          gir1.2-pango-1.0 (>= 1.29.3),
          gir1.2-glib-2.0,
          gir1.2-gdkpixbuf-2.0,
-         libgtk-3-0,
-         libxi6,
-         libxtst6,
-         libxkbfile1,
          librsvg2-common,
-         libdconf1,
-         libcanberra0,
-         libhunspell-1.3-0,
          iso-codes
 Recommends: gir1.2-appindicator3-0.1,
             gir1.2-atspi-2.0,
