## onboard 1.2.0-1mint5

=== debian/changelog ===
onboard (1.2.0-1mint5) sonya; urgency=medium

  * Hide the app menu in Cinnamon

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 12:52:36 +0200

onboard (1.2.0-1mint4) sonya; urgency=medium

  [ muzena ]
  * Fix/update hr.po

  [ Clement Lefebvre ]
  * Give the app menu item a generic name and make it visible

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jun 2017 15:23:56 +0100

onboard (1.2.0-1mint3) sonya; urgency=medium

  * Set the default theme

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Apr 2017 23:59:00 +0100

onboard (1.2.0-1mint2) sonya; urgency=medium

  * Remove branding from Help

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Apr 2017 20:40:28 +0100

onboard (1.2.0-1mint1) sonya; urgency=medium

  * Remove add_defaults_for_ubuntu.patch
  * Hide Onboard in the app menu

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Apr 2017 20:30:21 +0100
