=== debian/control ===
Source: onboard
Section: gnome
Priority: optional
Build-Depends: debhelper (>=9),
               dh-python,
               libcanberra-dev,
               libdconf-dev (>= 0.12.0),
               libgtk-3-dev,
               libhunspell-dev,
               libxkbfile-dev,
               libxtst-dev,
               python3-all-dev (>= 3.2),
               python3-cairo,
               python3-distutils-extra (>= 2.10),
               python3-gi,
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Standards-Version: 3.9.8
Homepage: https://launchpad.net/onboard
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/onboard.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/onboard.git

Package: onboard
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0 (>= 1.29.3),
         iso-codes,
         librsvg2-common,
         onboard-common (<< ${source:Version}.1),
         onboard-common (>= ${source:Version}),
         python3-cairo,
         python3-dbus,
         python3-gi-cairo,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: gir1.2-appindicator3-0.1,
            gir1.2-atspi-2.0,
            onboard-data (>= ${source:Version}),
            xdg-utils,
Suggests: mousetweaks (>= 3.3.90),
Description: Simple On-screen Keyboard
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This on-screen keyboard can be useful for tablet PC users, as well as
 for mobility impaired users.

Package: onboard-common
Architecture: all
Depends: python3,
         ${misc:Depends},
Breaks: onboard (<< 1.3.0-1~),
Replaces: onboard (<< 1.3.0-1~),
Description: Simple On-screen Keyboard (common files)
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This package ships the architecture independent files of the onboard
 on-screen keyboard.

Package: onboard-data
Architecture: all
Depends: onboard (<< ${source:Version}.1),
         onboard (>= ${source:Version}),
         ${misc:Depends},
Replaces: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Breaks: onboard-prediction-data  (<< 0.99.0~alpha1~tr1531),
Description: Language model files for the word suggestion feature of Onboard
 On-screen Keyboard with macros, easy layout creation and word suggestion.
 .
 This package installs default language model files for various languages.
 The word suggestion feature of Onboard uses these files (and if available
 also custom user language model files) to compute the word completion
 suggestions and the word prediction suggestions.

Package: gnome-shell-extension-onboard
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.14.4),
         onboard (>= ${source:Version}),
Breaks: onboard-common (<< 1.3.0)
Replaces: onboard-common (<< 1.3.0)
Description: GNOME Shell extension for the on-screen keyboard Onboard
 This package hides the official GNOME3 keyboard and provides an icon to
 show/hide Onboard. It is only an initial extension that does not show
 Onboard for activities and passwords, yet.
